System.Web 2.0.0.0 System.Web.UI.ControlBuilder

Page developers and control authors do not use the class directly.

ASP.NET designer builders use the class in conjunction with the class and the interface to apply themes and their respective control skins to controls at design time. To apply themes at design time, the base class calls the method whenever a control's child control tree is built.

Provides a object used at design time to apply control skins to controls.

- Constructor

  This constructor is called by the method of the class to return a object for the control specified in the parameter.

  Initializes a new instance of the class, setting the control with which the builder is associated, the general object provided by the object for the control, and a path to the theme file.

  A that encapsulates theme information for controls in a designer environment.
  The with which the is associated. The method applies a control skin to this control and returns it.
  A provided by the for the control's type.
  The absolute path to the theme file.
  2.0.0.0
- Method
  System.Web.UI.Control

  objects are associated with controls at design time by specifying an instance for the object of a control that supplies a object. The object can return a object for a given control.

  Applies a theme and a control skin to the current control at design time, if a object is associated with the control.

  The control instance to which the theme or style sheet theme and any control skin was applied. This is the same instance passed to the builder's constructor. This method will return null if no control was passed to the constructor.

  2.0.0.0